play.libs

## Class F.Option<T>

- java.lang.Object
- - play.libs.F.Option<T>

- All Implemented Interfaces:
    java.lang.Iterable<T>
  Direct Known Subclasses:
    F.None, F.Some
  Enclosing class:
    F

      public abstract static class F.Option<T>
      extends java.lang.Object
      implements java.lang.Iterable<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Option()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract T` | `get()`
    `abstract boolean` | `isDefined()`
    `static <T> F.None<T>` | `None()`
    `static <T> F.Some<T>` | `Some(T value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Constructor Detail

    - #### Option

          public Option()

  - ### Method Detail

    - #### isDefined

          public abstract boolean isDefined()

    - #### get

          public abstract T get()

    - #### None

          public static <T> F.None<T> None()

    - #### Some

          public static <T> F.Some<T> Some(T value)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly